Ciele

List schedules and the default timezone

GET/api/v1/business-hours

Requires an Organization API key with the member capability.

AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/business-hours"
{  "available": true,  "defaultTimezone": "string",  "data": [    {      "id": "string",      "organizationId": "string",      "name": "string",      "timezone": "string",      "hours": {        "monday": {          "enabled": true,          "ranges": [            null          ]        },        "tuesday": {          "enabled": true,          "ranges": [            null          ]        },        "wednesday": {          "enabled": true,          "ranges": [            null          ]        },        "thursday": {          "enabled": true,          "ranges": [            null          ]        },        "friday": {          "enabled": true,          "ranges": [            null          ]        },        "saturday": {          "enabled": true,          "ranges": [            null          ]        },        "sunday": {          "enabled": true,          "ranges": [            null          ]        }      },      "holidays": [        {          "id": "string",          "name": "string",          "startDate": "string",          "endDate": "string",          "yearly": true        }      ],      "isDefault": true,      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}